## org.eclipse.amp.amf.parameters.services
Class AParGrammarAccess.SweepParameterElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.parameters.services.AParGrammarAccess.SweepParameterElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  AParGrammarAccess

    public class AParGrammarAccess.SweepParameterElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`AParGrammarAccess.SweepParameterElements()`

Method Summary
`org.eclipse.xtext.Assignment` `getAttributeAssignment_0()`
`org.eclipse.xtext.CrossReference` `getAttributeSAttributeCrossReference_0_0()`
`org.eclipse.xtext.RuleCall` `getAttributeSAttributeIDTerminalRuleCall_0_0_1()`
`org.eclipse.xtext.Keyword` `getCommaKeyword_3()`
`org.eclipse.xtext.Keyword` `getCommaKeyword_5()`
`org.eclipse.xtext.Assignment` `getEndValueAssignment_4()`
`org.eclipse.xtext.RuleCall` `getEndValueValueParserRuleCall_4_0()`
`org.eclipse.xtext.Group` `getGroup()`
`org.eclipse.xtext.Assignment` `getIncrementAssignment_6()`
`org.eclipse.xtext.RuleCall` `getIncrementValueParserRuleCall_6_0()`
`org.eclipse.xtext.Keyword` `getLeftSquareBracketKeyword_1()`
`org.eclipse.xtext.Keyword` `getRightSquareBracketKeyword_7()`
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.Assignment` `getStartValueAssignment_2()`
`org.eclipse.xtext.RuleCall` `getStartValueValueParserRuleCall_2_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParGrammarAccess.SweepParameterElements

    public AParGrammarAccess.SweepParameterElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getGroup

    public org.eclipse.xtext.Group getGroup()

### getAttributeAssignment_0

    public org.eclipse.xtext.Assignment getAttributeAssignment_0()

### getAttributeSAttributeCrossReference_0_0

    public org.eclipse.xtext.CrossReference getAttributeSAttributeCrossReference_0_0()

### getAttributeSAttributeIDTerminalRuleCall_0_0_1

    public org.eclipse.xtext.RuleCall getAttributeSAttributeIDTerminalRuleCall_0_0_1()

### getLeftSquareBracketKeyword_1

    public org.eclipse.xtext.Keyword getLeftSquareBracketKeyword_1()

### getStartValueAssignment_2

    public org.eclipse.xtext.Assignment getStartValueAssignment_2()

### getStartValueValueParserRuleCall_2_0

    public org.eclipse.xtext.RuleCall getStartValueValueParserRuleCall_2_0()

### getCommaKeyword_3

    public org.eclipse.xtext.Keyword getCommaKeyword_3()

### getEndValueAssignment_4

    public org.eclipse.xtext.Assignment getEndValueAssignment_4()

### getEndValueValueParserRuleCall_4_0

    public org.eclipse.xtext.RuleCall getEndValueValueParserRuleCall_4_0()

### getCommaKeyword_5

    public org.eclipse.xtext.Keyword getCommaKeyword_5()

### getIncrementAssignment_6

    public org.eclipse.xtext.Assignment getIncrementAssignment_6()

### getIncrementValueParserRuleCall_6_0

    public org.eclipse.xtext.RuleCall getIncrementValueParserRuleCall_6_0()

### getRightSquareBracketKeyword_7

    public org.eclipse.xtext.Keyword getRightSquareBracketKeyword_7()